<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

  <!-- optional, add some variables
  https://github.com/nlog/NLog/wiki/Configuration-file#variables
  -->

  <variable name="logDirectory" value="${basedir}/log/${shortdate}"/>
  <variable name="ArchiveDirectory" value="${basedir}/log/"/>
  <targets>
    <target xsi:type="File"
            name="Log_Info"
            fileName="${logDirectory}/Info_file.txt"
            archiveAboveSize="1000"
            keepFileOpen="true" layout="${longdate} ${uppercase:${level}} ${message}"
            archiveFileName="${ArchiveDirectory}/Archive/Info_${shortdate}_{#}.txt"
            maxArchiveFiles="2"
            archiveEvery="Day"
            archiveNumbering="Sequence"            
            concurrentWrites="true"/>
    <target xsi:type="File"
            name="Log_Error"
            fileName="${logDirectory}/Error_file.txt"
            archiveAboveSize="1000"
            keepFileOpen="true"
            layout="${longdate} ${uppercase:${level}} ${message}"
            archiveFileName="${ArchiveDirectory}/Archive/Error_${shortdate}_{#}.txt"
            maxArchiveFiles="2"
            archiveEvery="Day"
            archiveNumbering="Sequence"
            concurrentWrites="true"/>
  </targets>
  <rules>
    <logger name="*" level="Info" writeTo="Log_Info" />
    <logger name="*" level="Error" writeTo="Log_Error" />
  </rules>
</nlog>
